Ape 2 mp3 hvordan? Emnet er løst

Forum for support til grafik og lydkort.
Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 7. okt 2010, 23:32

Fluebenet var der i forvejen. Jeg har reboot og fået en bedre netforbindelse. Den er ved at installere allle disse filer under gstreamer.
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 7. okt 2010, 23:35

Ok. Hvis du ikke har haft netforbindelse, så har du nok slet ikke fået installeret noget af det vi har talt om. Hvis du stadig er frisk, skal du nok også gentage de to kommandoer fra min sidste post på side 1 i tråden.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 7. okt 2010, 23:42

Det hjalp! Takker for hjælpen indtil videre. Jeg har nu mp3 support i soundconverter. Jeg prøver nu at køre scriptet på ape filen igen.
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 7. okt 2010, 23:52

Det kommer stadig ingen opdelte mp3 filer ud af scriptet! Kun én stor wav-fil
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 8. okt 2010, 00:05

Jeg skal lige være 100% sikker på at vi taler om det samme script, så jeg sætter det lige ind herunder:

Kode: Vælg alt

#!/bin/bash
#
# Convert ".APT" (Monkey Audio Codec) to MP3
#
# TOOLS: shnsplit(shntool), lame, ffmpeg
#
# Licence: GPL
# by jens (dot) harms (at) informatik.uni-oldenburg.de
#
# shnsplit variables
#             %p     Performer
#              %a     Album
#              %t     Track title
#              %n     Track number
#
set -x
WAV=/tmp/output.wav
APE=$(echo *.ape)
CUE=$(echo *.cue)
#
create_mp3()
{
# convert APE to WAVE - Format Audio File
ffmpeg -i "$APE" "$WAV"
if [ $? != 0 ]
then
    echo 1>&2 "ffmpeg reported an error"
    exit 1
fi
#
# split single .wav with the help of cue-file into separate mp3 format audio files
shnsplit -q -o 'cust ext=mp3 lame --quiet --preset standard - "%f"' -f "$CUE" -t "%n. %t" "$WAV"
if [ $? != 0 ]
then
    echo 1>&2 "shnsplit reported an error"
    exit 1
fi
#
# clean up double quotes in filenames
for a in *.mp3
do
    out=$(echo "$a" | sed s/\\\"//g)
    mv "$a" "$out"
done
}
#
list_files()
{
    a=($@)
    echo "Number of files: " ${#a[@]}
}
#
main()
{
    create_mp3
    rm $WAV
#
    # create a list of all .mp3 files sorted by track number
    for((i=1;i<200;i++))
    do
    n=$(printf "%0.2d." $i)
    f=$(echo $n*.mp3)
    if ! [ -f "$f" ]
    then
        break
    fi
    p=$(($i-1))
    flist[$p]="$f"
    done
    cuetag "$CUE" "${flist[@]}"
}
#
main $@

AJenbo
Admin
Indlæg: 20860
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Ape 2 mp3 hvordan?

Indlægaf AJenbo » 8. okt 2010, 00:14

ellers så prøv lige at vise hvad der er i din cue fil.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 00:35

Jeps lige præcis det samme script.

cuefil:
REM DATE 1970

PERFORMER "Uriah Heep"

TITLE "...Very 'Eavy Very 'Umble... (Expanded De-Luxe Edition - Remaster)"

FILE "_CDImage.ape" WAVE

TRACK 01 AUDIO

TITLE "Gypsy"

PERFORMER "Uriah Heep"

ISRC GBAJE7000064

INDEX 01 00:00:00

TRACK 02 AUDIO

TITLE "Walking In Your Shadow"

PERFORMER "Uriah Heep"

ISRC GBAJE7000098

INDEX 01 06:38:08

TRACK 03 AUDIO

TITLE "Come Away Melinda"

PERFORMER "Uriah Heep"

ISRC GBAJE7000099

INDEX 01 11:08:23

TRACK 04 AUDIO

TITLE "Lucy Blues"

PERFORMER "Uriah Heep"

ISRC GBAJE7000100

INDEX 01 14:57:43

TRACK 05 AUDIO

TITLE "Dreammare"

PERFORMER "Uriah Heep"

ISRC GBAJE7000101

INDEX 01 20:07:45

TRACK 06 AUDIO

TITLE "Real Turned On"

PERFORMER "Uriah Heep"

ISRC GBAJE7000102

INDEX 01 24:47:58

TRACK 07 AUDIO

TITLE "I'll Keep On Trying"

PERFORMER "Uriah Heep"

ISRC GBAJE7000103

INDEX 01 28:26:68

TRACK 08 AUDIO

TITLE "Wake Up (Set Your Sights)"

PERFORMER "Uriah Heep"

ISRC GBAJE7000104

INDEX 01 33:54:20

TRACK 09 AUDIO

TITLE "Bird Of Prey [US Album Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE7000611

INDEX 00 40:15:09

INDEX 01 40:22:38

TRACK 10 AUDIO

TITLE "Born In A Trunk [Mix 3 - Previously Unreleased Vocal Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE0300003

INDEX 00 44:28:00

INDEX 01 44:30:43

TRACK 11 AUDIO

TITLE "Come Away Melinda [Previously Ureleased Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE0300022

INDEX 00 48:59:63

INDEX 01 49:02:69

TRACK 12 AUDIO

TITLE "Gypsy [Extended Mix - Previously Ureleased Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE0300006

INDEX 00 53:16:41

INDEX 01 53:19:35

TRACK 13 AUDIO

TITLE "Wake Up (Set Your Sights) [Previously Ureleased Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE0300007

INDEX 00 60:26:16

INDEX 01 60:26:74

TRACK 14 AUDIO

TITLE "Born In A Trunk [Previously Ureleased Version]"

PERFORMER "Uriah Heep"

ISRC GBAJE0300004

INDEX 00 66:58:50

INDEX 01 66:59:03

TRACK 15 AUDIO

TITLE "Dreammare [BBC Session - Live]"

PERFORMER "Uriah Heep"

INDEX 00 71:33:68

INDEX 01 71:36:05

TRACK 16 AUDIO

TITLE "Gypsy [BBC Session - Live]"

PERFORMER "Uriah Heep"

INDEX 00 74:43:60

INDEX 01 74:44:43
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

AJenbo
Admin
Indlæg: 20860
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Ape 2 mp3 hvordan?

Indlægaf AJenbo » 8. okt 2010, 00:51

Kode: Vælg alt

apt-get install shnsplit

og prøv igen.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 00:56

Fejlmelding:

klaus@klaus-desktop:~$ apt-get install shnsplit
E: Kunne ikke åbne låsefilen /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
klaus@klaus-desktop:~$ sudo apt-get install shnsplit
[sudo] password for klaus:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
E: Kunne ikke finde pakken shnsplit
klaus@klaus-desktop:~$
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 8. okt 2010, 00:59

Hvis du ikke har shnsplit - som i pakkeform hedder shntool - så mangler du også cuetools (for så virkede kommandoen fra nederst side 1 i denne tråd ikke).

Kode: Vælg alt

sudo aptitude install shntool cuetools

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 01:12

Sidste kommando kører OK. Herefter samme fejlmelding på install af:

Kode: Vælg alt

apt-get install shnsplit
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 8. okt 2010, 01:31

Du skal ikke bruge den kommando. Du har installeret shnsplit, den hedder shntool i pakkesystem og blev installeret med sidste kommando. Hvis du alligevel vil prøve den kommando skal der sudo foran.

Klaus Rasmussen
Admin
Indlæg: 5521
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Ape 2 mp3 hvordan?

Indlægaf Klaus Rasmussen » 8. okt 2010, 01:44

Scriptet giver stadig samme resultat: Én stor wav-fil, hvorefter terminalen lukkes ned.
Med Venlig Hilsen
Klaus

Kører Ubuntu 22.04 på ASUS All-Series, og Probook 4520s.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
https://mega.nz/folder/aJsmCYKa#dxMHKTi4Idmz6hiVpsI68Q

soundpartner
Indlæg: 3461
Tilmeldt: 27. sep 2008, 23:51
IRC nickname: sound
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf soundpartner » 8. okt 2010, 01:48

Klaus Rasmussen skrev:Scriptet giver stadig samme resultat: Én stor wav-fil, hvorefter terminalen lukkes ned.

det lyder som om du dobbeltklikker på scriptet fra den grafiske brugerflade.
prøv at gå ien terminal og kald scriptet fra denne. det giver muligvis en fejlmeldiing, eller måske en helt anden funktionalitet
Selvudnævnt guru når det drejer sig om mobilt bredbånd

Webmaster og stifter af:
Billede
Hvor du finder scripts til en hver situation

Billede

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Ape 2 mp3 hvordan?

Indlægaf zob » 8. okt 2010, 01:55

Det lyder lidt spøjst. Kan du eventuelt copy-paste hvad der sker i din terminal, inkl. den kommando du selv kører (scriptet).

Det er sandt at det er en del af festen at der skal skabes en wav-fil. Hos mig hedder den output.wav og bliver midlertidig oprettet i mappen /tmp, så det lyder helt sært det der sker hos dig.

Tilbage til "Grafik og lyd"

Hvem er online

Brugere der læser dette forum: [Crawler] og 3 gæster